Bug 472472 - Sugar crashes right away with ImportError
Sugar crashes right away with ImportError
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sugar (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon Schampijer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 19:53 EST by Konstantin Ryabitsev
Modified: 2008-12-02 20:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 20:14:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Ryabitsev 2008-11-20 19:53:21 EST
Sugar in F10 crashes right away:

$ sugar
Traceback (most recent call last):
  File "/usr/bin/sugar-shell", line 30, in <module>
    from main import main
  File "/usr/share/sugar/shell/main.py", line 32, in <module>
    import view.Shell
  File "/usr/share/sugar/shell/view/Shell.py", line 38, in <module>
    from view.frame import frame
  File "/usr/share/sugar/shell/view/frame/frame.py", line 29, in <module>
    from view.frame.activitiestray import ActivitiesTray
  File "/usr/share/sugar/shell/view/frame/activitiestray.py", line 33, in <module>
    from model import shellmodel
  File "/usr/share/sugar/shell/model/shellmodel.py", line 24, in <module>
    from model.devices.devicesmodel import DevicesModel
  File "/usr/share/sugar/shell/model/devices/devicesmodel.py", line 25, in <module>
    from model import network
  File "/usr/share/sugar/shell/model/network.py", line 23, in <module>
    from sugar import dispatch
ImportError: cannot import name dispatch

$ rpm -q sugar sugar-base
sugar-0.82.9-4.fc10.i386
sugar-base-0.82.2-2.fc10.i386
Comment 1 Simon Schampijer 2008-11-21 04:27:40 EST
http://koji.fedoraproject.org/koji/buildinfo?buildID=70446 [sugar-base-0.82.2-4] should do it for you.

BTW: you can use the sugar-emulator as well when you want to test sugar from the console (the package is 'sugar-emulator' - not installed by default).
Comment 2 Fedora Update System 2008-11-21 10:01:18 EST
sugar-base-0.82.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sugar-base-0.82.2-4.fc10
Comment 3 Fedora Update System 2008-11-22 11:52:15 EST
sugar-base-0.82.2-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sugar-base'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10000
Comment 4 Bug Zapper 2008-11-26 00:42:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ramsey Haddad 2008-12-01 08:28:54 EST
it's crashing right aways for me too when i try to log in sugar from gdm
Comment 6 Simon Schampijer 2008-12-01 08:40:09 EST
(In reply to comment #5)
> it's crashing right aways for me too when i try to log in sugar from gdm

Well did you install sugar-base-0.82.2-4.fc10 and it still crashes? Would surprise me a lot actually.
Comment 7 Ramsey Haddad 2008-12-01 09:28:08 EST
yeah, sorry i'm still on sugar-base-0.82.2-2.fc10.i386

$> rpm -qa | grep sugar
sugar-chat-47-1.fc10.noarch
sugar-datastore-0.8.3-2.fc10.noarch
sugar-browse-99-1.fc10.noarch
sugar-toolkit-0.82.11-2.fc10.i386
sugar-terminal-16-2.fc10.noarch
sugar-log-16-1.fc10.noarch
sugar-journal-99-3.fc10.noarch
sugar-calculator-23-2.fc10.noarch
sugar-base-0.82.2-2.fc10.i386
sugar-moon-8-2.fc10.noarch
sugar-presence-service-0.82.2-1.fc10.noarch
sugar-write-59-1.fc10.noarch
sugar-0.82.9-4.fc10.i386
sugar-artwork-0.82.3-1.fc10.i386
Comment 8 Fedora Update System 2008-12-02 20:14:34 EST
sugar-base-0.82.2-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.